'use strict';

const index = require('./index.cjs');
require('@vue.ts/common');
require('@vue.ts/language');
require('unplugin');
require('magic-string');
require('typescript');
require('node:path');

const astro = (options) => ({
  name: "unplugin-vue-complex-types",
  hooks: {
    "astro:config:setup": async (astro) => {
      var _a;
      (_a = astro.config.vite).plugins || (_a.plugins = []);
      astro.config.vite.plugins.push(index.vite(options));
    }
  }
});

module.exports = astro;
